using System;
using NinjaTrader.Cbi;

internal sealed class Delegate455 : MulticastDelegate
{
	public extern Order Invoke(object object_0, Instrument instrument_0, OrderAction orderAction_0, OrderType orderType_0, OrderEntry orderEntry_0, TimeInForce timeInForce_0, int int_0, double double_0, double double_1, string string_0, string string_1, DateTime dateTime_0, CustomOrder customOrder_0);

	public static Order smethod_0(object object_0, Instrument instrument_0, OrderAction orderAction_0, OrderType orderType_0, OrderEntry orderEntry_0, TimeInForce timeInForce_0, int int_0, double double_0, double double_1, string string_0, string string_1, DateTime dateTime_0, CustomOrder customOrder_0, Delegate455 delegate455_1)
	{
		return delegate455_1(object_0, instrument_0, orderAction_0, orderType_0, orderEntry_0, timeInForce_0, int_0, double_0, double_1, string_0, string_1, dateTime_0, customOrder_0);
	}

	public extern Delegate455(object object_0, IntPtr intptr_0);

	static Delegate455()
	{
		Class10.smethod_13(typeof(Delegate455).TypeHandle);
	}

	internal static Delegate455 delegate455_0;
}
